org.apache.lucene.analysis.util

## Interface ResourceLoader

All Known Implementing Classes:
  ClasspathResourceLoader, FilesystemResourceLoader

    public interface ResourceLoader

Abstraction for loading resources (streams, files, and classes).

### Method Summary

Methods
`<T> T` `newInstance(String cname, Class<T> expectedType)` Creates a class of the name and expected type
`InputStream` `openResource(String resource)` Opens a named resource

### Method Detail

#### openResource

    InputStream openResource(String resource)
                             throws IOException

Opens a named resource

Throws:
  `IOException`

#### newInstance

    <T> T newInstance(String cname,
                    Class<T> expectedType)

Creates a class of the name and expected type